Mail archive
alpine-devel

[alpine-devel] [PATCH 07/25] testing/mate-menus: fix build function and deps

From: Alan Lacerda <alancordeiro_at_gmail.com>
Date: Fri, 19 Dec 2014 10:26:13 +0000

---
 testing/mate-menus/APKBUILD | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)
diff --git a/testing/mate-menus/APKBUILD b/testing/mate-menus/APKBUILD
index c4f5e38..34d909f 100644
--- a/testing/mate-menus/APKBUILD
+++ b/testing/mate-menus/APKBUILD
_at_@ -2,15 +2,14 @@
 # Maintainer:
 pkgname=mate-menus
 pkgver=1.9.1
-pkgrel=0
+pkgrel=1
 pkgdesc="The libmate-menu library, the layout configuration files for the MATE menu, as well as a simple menu editor"
 url="https://github.com/mate-desktop/mate-menus"
 arch="all"
 license="GPL2"
 depends="mate-common"
 depends_dev=""
-makedepends="$depends_dev autoconf automake libtool intltool glib-dev
-	gobject-introspection-dev"
+makedepends="$depends_dev libtool intltool glib-dev gobject-introspection-dev"
 install=""
 subpackages="$pkgname-dev $pkgname-lang"
 source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
_at_@ -28,7 +27,11 @@ prepare() {
 
 build() {
 	cd "$_builddir"
-	./autogen.sh --prefix=/usr || return 1
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		|| return 1
 	make || return 1
 }
 
-- 
2.1.3
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Fri Dec 19 2014 - 10:26:13 UTC